FROM ubuntu:18.04

# INSTALL ssh, crunch
RUN apt-get -y update
RUN apt-get install -y openssh-server ssh crunch hydra

# INSTALL medusa from source
RUN apt install -y build-essential git pkg-config freerdp2-dev libssh2-1-dev gnutls-dev && \
	git clone https://github.com/jmk-foofus/medusa && \
	cd medusa && \
	./configure && \
	make && \
	make install

RUN mkdir /var/run/sshd
ENV NOTVISIBLE "in users profile"
RUN echo "export VISIBLE=now" >> /etc/profile

#EXPOSE PORT 22
CMD ["/usr/sbin/sshd", "-D"]

# copy our files over
COPY root/ /

# make user
RUN useradd neverlan
RUN echo 'neverlan:eyesofstone' | chpasswd 
RUN echo 'root:PlzD0nTuS3Th1sP@ssW0rD' | chpasswd

RUN usermod --shell /bin/bash neverlan
RUN rm -rf /etc/legal

# Set the locale aka CRUNCH FIX
RUN apt-get -y install locales
RUN locale-gen en_US.UTF-8  
ENV LANG en_US.UTF-8  
ENV LANGUAGE en_US:en  
ENV LC_ALL en_US.UTF-8  
RUN chown neverlan home/*